onionshare(1)

NAME
onionshare - a tool for anonymously sharing files over a temporarily set up Tor Hidden service.

SYNOPSIS
onionshare [options] filename

DESCRIPTION

OnionShare lets you anonymously share files. You host the file on your own computer and use a Tor hidden service to make it temporarily accessible over the Internet. OnionShare sets up this hidden service up for you. It then generates an unguessable URL to access and download the file.

Before you can share a file, you need to open Tor Browser in the background. This will provide the Tor service that OnionShare uses to start the hidden service. All Tor hidden services (any website that's accessed through a .onion domain) are automatically end-to-end encrypted.

In the case of OnionShare, the crypto key lives in /tmp/onionshare/tmpXXX/private_key. The .onion URL address itself is a fingerprint of the key, which lets the Tor network look up the public key and start an encrypted session. So as long as you transmit the OnionShare URL successfully, the recipient who loads it in Tor Browser gets an end-to-end encrypted session with the server.

The person you want to share the file with just needs to use the Tor Browser to download the file from you, using the URL you sent to them over another, possibly encrypted, channel like encrypted e-mail or a chat using OTR.

It takes around 30 seconds until the hidden service is available over the Tor network.

OnionShare's default behaviour is to shut down the hidden service and to stop once the file has been downloaded. You can prevent this behaviour by invoking the --stay-open option. This can be useful if you want multiple people to access the same file.

OPTIONS

-h  display a short help message and exit

--local-only
    don't run a public hidden service, just run on localhost

--stay-open
    don't exit after file has been successfully downloaded

--debug
    enable more verbose output

AUTHOR
Manual page by Ulrike Uhlig <u at 451f dot org>